format shortg;
A = gallery(3);
b = [1 2 3]';

disp('The solution to gallery(3)*x = b is');
disp(A\b);

format longg;
% perturb A
deltaA = [0.00001 0 -0.00001;0 0 0;0 0.00003 0];
disp('The perturbed matrix is');
B = A + deltaA;
disp(B);
disp('The solution to the perturbed system is');
disp(B\b);

fprintf('The condition number of gallery(3) is %.1f\n',cond(A));
