format shortg;

load 'EIGBTEST.mat';

[V, D] = eigb(EIGBTEST);
fprintf('norm(EIGBTEST*V - V*D) = %.4e\n',norm(EIGBTEST*V - V*D));

c = eigcond(EIGBTEST);
disp('Eigenvalue condition numbers.');
disp(c);

[min, max] = checkeigb(EIGBTEST,V,D);
fprintf('min(norm(EIGBTEST*v_i-lambda_i*v_i)), 1 <= i <= 25, = %g\n',...
        min);
fprintf('max(norm(EIGBTEST*v_i-lambda_i*v_i)), 1 <= i <= 25, = %g\n\n',...
        max);
