P = gallery('toeppen',1000);
fprintf('The approx. condition number of the Toeplitz matrix is %g\n',...
        condest(P));
b = rand(1000,1);
x0 = ones(1000,1);
[x, r, iter] = gmresb(P,b,x0,50,1.0e-14,25);
fprintf('GMRES found a solution with residual of %e in %d iterations\n',...
        r,iter);
