format shortg;

z1 = 4 -1i;
disp('z1 =');
disp(z1);
z2 = 1 +1i;
disp('z2 =');
disp(z2);
z3 = 1i;
disp('z3 =');
disp(z3);
disp('z1^2 + 7*z2 - 8*z3 =');
disp(z1^2 + 7*z2 - 8*z3);
disp('sin(1i*pi) =');
disp(sin(1i*pi));
disp('exp(1i*pi) =');
disp(exp(1i*pi));

disp('------------------------------------------');

A = [1-1i 2+3i -7;-1+1i 16+4i 1i;3+8i -1 7+5i];
disp('A =');
disp(A);
b = [12+2i -1-9i -1i]';
disp('b =');
disp(b);
z = A\b;
disp('z = A\b');
disp(A\b);
disp('A*z =');
disp(A*z);
fprintf('norm(b-A*z) = %.2e\n\n',norm(b-A*z));
E = eig(A);
disp('Eigenvalues of the nonsymmetric complex matrix A');
disp(E);

disp('------------------------------------------');

A = [1 1i 6-2i;-1i 2 4+1i;6+2i 4-1i 3];
disp('Hermitian matrix A');
disp(A);
E = eig(A);
disp('Eigenvalues of A');
disp(E);
