A = [cos(pi/6) -sin(pi/6);sin(pi/6) cos(pi/6)];
T = @(x) A*[x 5*x+1]';

x1 = 0;
y1 = 1;
x2 = 1;
y2 = 6;
p1 = T(x1);
p2 = T(x2);

disp('Two points on the rotated line.');
p1
p2

plot([-2 1.5]',[-9 8.5]');
hold on;
p1 = T(-2);
p2 = T(1.5);
plot([p1(1) p2(1)]',[p1(2) p2(2)]','--');
