t = [1.3 1.7 1.9 2.3 2.7 3.1 3.6 4.0];
y = [2.8 3.2 3.1 3.5 4.8 4.2 5.3 4.8];

S = cubicsplineb(t,y);
p = S(4,:);
tval = 2.5;
% compute value of parameter u by interpolation;
u = (tval - t(4))/(t(5) - t(4));
fprintf('Approximation at tval = 2.5 is %.4f\n',polyval(p, u));
