pause on;
t = -pi:0.05:pi;
y = squarewave(t);
plot(t, y, '-k','LineWidth',3);
hold on;
f3 = sqrwavepartialsums(t,3);
plot(t,f3,'--r','LineWidth',2);
f5 = sqrwavepartialsums(t,5);
plot(t,f5,'-.b','LineWidth',2);
f10 = sqrwavepartialsums(t,10);
plot(t,f10,':g','LineWidth',2);
xlabel('t');
ylabel('y');
legend('Square wave','f3','f5','f10','Location','NorthWest');
title('Fourier series converging to a square wave of period 2\pi');
hold off;
