function y = squarewave(t)

n = length(t);
y = zeros(n,1);
for i = 1:n
   val = t(i);
   [b,v] = inrange(val);
   if b
      y(i) = v;
   elseif val < -pi
      val = val + 2*pi;
      while val < -pi
         val = val + 2*pi;
      end
      [b,v] = inrange(val);
      if b
         y(i) = v;
      end
   else
      val = val - 2*pi;
      while val > pi
         val = val - 2*pi;
      end
      [b,v] = inrange(val);
      if b
         y(i) = v;
      end
   end
end

function [b, v] = inrange(val)
   b = false;
   v = inf;
   if val >= -pi && val < 0
      b = true;
      v = -1;
   elseif val >= 0 && val < pi
      b = true;
      v = 1;
   end
end

end
