A = [2 1 1 2;1 2 1 2;1 1 2 2;2 2 2 3];
b = [-1 5 3 2]';

[U,S,V] = svd(A,0);

format short;

disp('U =');
disp(U);
disp('S =');
disp(S);
disp('V');
disp(V);

% compute the minimum norm solution
xls = zeros(4,1);
r = 3;
for i = 1:r
   xls = xls + ((U(:,i)'*b)/S(i,i))*V(:,i);
end

disp('The minimum norm solution, xls, is');
disp(xls);
