format short;

A = [5.0000 0 0;2.0000 1.0000 -7.0000;3.0000 0 0.9900];

[X,D] = eigb(A,1.0e-14);
fprintf('The condition number of X is %g\n',cond(X));
disp('The eigenvalues of A are');
disp(diag(D));

deltaA = zeros(3,3);
deltaA(3,2) = 1.0e-5;
E = eigb(A + deltaA);
disp('The eigenvalues of A + deltaA are');
disp(E);
