format rational;
A = [1 -3 9 -27;1 -1 1 -1;1 1 1 1;1 2 4 8];
b = [-2 2 5 1]';

% solve the system using the MATLAB operator '\'
a = A\b;

% construct the polynomial
p = [a(4) a(3) a(2) a(1)];
% plot the four points
plot([-3 -1 1 2],[-2 2 5 1],'o');
hold on;
% plot the polynomial
x = -4:.05:2.5;
plot(x,polyval(p,x),'k');
title('Polynomial passing through four points.');
xlabel('x');
ylabel('y');

