phi = @(x,y) 5/2*x.^2 + x.*y + 2*y.^2 - x - y;

ezsurf(phi,[-5 5 -5 5]);

figure(2);
hold on
V = -5.75:.75:5.75;
[X,Y] = meshgrid(V);
Z = feval(phi,X,Y);
[px,py] = gradient(Z,0.75,0.75);
contour(V,V,Z), quiver(V,V,-px,-py);
hold off
