A = [5 1;1 4];
B = [7 6.99;6.99 7];
b = [46.463 17.499]';

fprintf('The conditions numbers of A and B respectively are:\n%g/%g\n',...
        cond(A), cond(B));

tol = 1.0e-12;
x0 = [5 5]';
maxiter = 10000;
[~, ~, iter1] = steepestDescent(A,b,x0,tol,maxiter);
[~, ~, iter2] = steepestDescent(B,b,x0,tol,maxiter);

fprintf('Ax = b required %d iterations, and Bx = b required %d\n',...
        iter1,iter2);
        