A = ones(5,5);

p = poly(A);
disp('The characteristic polynomial is:');
disp(p);

[V,D] = eig(A);
disp('The diagonal of D is:');
disp(diag(D));

disp('V''*V = ');
disp(V'*V);

fprintf('The rank of V is %g\n',rank(V));
disp('V''*A*V - D =');
% There will be rounoff error, so there will be very small
% entries of V'*A*V-D that should be zero.
disp(V'*A*V-D);
